// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.26.0
// source: register_outway.sql

package queries

import (
	"context"
)

const registerOutway = `-- name: RegisterOutway :exec

INSERT INTO controller.outways (
    group_id,
    name,
    public_key_thumbprint
)
VALUES ($1, $2, $3)
ON CONFLICT ON CONSTRAINT outways_pk
DO
   UPDATE SET public_key_thumbprint = EXCLUDED.public_key_thumbprint
`

type RegisterOutwayParams struct {
	GroupID             string
	Name                string
	PublicKeyThumbprint string
}

// Copyright © VNG Realisatie 2023
// Licensed under the EUPL
func (q *Queries) RegisterOutway(ctx context.Context, arg *RegisterOutwayParams) error {
	_, err := q.db.Exec(ctx, registerOutway, arg.GroupID, arg.Name, arg.PublicKeyThumbprint)
	return err
}
